Cyberduck Mountain Duck CLI

#3389 closed defect (fixed)

Bandwidth throttle doesn't affect uploads

Reported by: kiddailey Owned by: dkocher
Priority: normal Milestone: 3.5
Component: s3 Version: 3.2.1
Severity: normal Keywords: bandwidth throttle amazon s3 upload uploading limit turtle
Cc: Architecture:
Platform: Mac OS X 10.6

Description

Setting the bandwidth throttle to any value other than unlimited has no effect on upload speed for Amazon S3 uploads.

This is evident by simply looking at the throughput on the upload after setting the throttle (see screenshot), but you can also confirm by changing the bandwidth throttle to "unlimited" during an upload. You'll see that Cyberduck takes a moment to recalculate the estimated time but the values don't really change.

Occurs with 3.2 as well as 3.2.1.

Attachments (1)

AmazonS3UploadNotThrottled.png (76.6 KB) - added by anonymous on Aug 6, 2009 at 6:32:58 PM.
Screenshot of an active Amazon S3 upload ignoring the set bandwidth limit

Download all attachments as: .zip

Change History (7)

Changed on Aug 6, 2009 at 6:32:58 PM by anonymous

Screenshot of an active Amazon S3 upload ignoring the set bandwidth limit

comment:1 Changed on Aug 6, 2009 at 9:06:52 PM by dkocher

I can confirm this. S3 uploads don't go through the usual pipe where bandwidth throttling is applied.

comment:2 Changed on Feb 22, 2010 at 1:37:27 PM by donmc123@…

I can confirm this is still the case in Version 3.4.1 (5780) Is this likely to be addressed in a future release?

comment:3 Changed on Mar 12, 2010 at 9:00:45 PM by jamiehardt@…

I see this too, I hope this can get resolved soon.

comment:4 Changed on Mar 27, 2010 at 3:44:00 AM by dkocher

Partial fix as of r5867.

comment:5 Changed on Apr 1, 2010 at 8:46:44 AM by dkocher

  • Summary changed from Bandwidth throttle doesn't affect Amazon S3 uploads to Bandwidth throttle doesn't affect uploads

comment:6 Changed on May 18, 2010 at 9:32:01 AM by dkocher

  • Milestone set to 3.5
  • Platform set to Mac OS X 10.6
  • Resolution set to fixed
  • Status changed from new to closed

In r5946.

Note: See TracTickets for help on using tickets.
swiss made software